FLAC++/metadata.h: metadata object classes
FLAC C++ API » FLAC++/metadata.h: metadata interfaces

## Modules

| FLAC++/metadata.h: metadata level 0 interface

## Classes

class | FLAC::Metadata::Prototype
class | FLAC::Metadata::StreamInfo
class | FLAC::Metadata::Padding
class | FLAC::Metadata::Application
class | FLAC::Metadata::SeekTable
class | FLAC::Metadata::VorbisComment
class | FLAC::Metadata::CueSheet
class | FLAC::Metadata::Picture
class | FLAC::Metadata::Unknown

## Functions

Prototype * | FLAC::Metadata::clone (const Prototype *)

## Detailed Description

This module contains classes representing FLAC metadata blocks in memory.

The behavior closely mimics the C layer interface; be sure to read the detailed description of the C metadata object module .

Any time a metadata object is constructed or assigned, you should check is_valid() to make sure the underlying FLAC__StreamMetadata object was able to be created.

Warning
  When the get_*() methods of any metadata object method return you a const pointer, DO NOT disobey and write into it. Always use the set_*() methods.

## Function Documentation

## clone()

Prototype* FLAC::Metadata::clone | ( | const Prototype * |  | ) |

Create a deep copy of an object and return it.

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation